/*
 *
 *
 *
 */
const http = require('http')
const cors = require('kcors')
const Koa = require('koa')
const app = new Koa()
const views = require('koa-views')
const router = require('koa-router')()
const path = require('path')
const bsConfigPath = path.resolve('frontEndMock')
var mockData

try {
    mockData = require(bsConfigPath);
} catch (err) {
    if (err.code && err.code === 'MODULE_NOT_FOUND') {
        logMissingConfigFile();
    } else {
        throw (err);
    }
}

function logMissingConfigFile() {
    console.log('Did not detect a frontEndMock.json or frontEndMock.js file. Please check it in your root direction...')
}

// 允许跨域
app.use(cors());
app.use(views(__dirname + '/views', {
    extension: 'pug'
}))

router.get('/', async(ctx, next) => {
    await ctx.render('index', {
        title: 'Welcome to front-end-mock!'
    })
})


// 生成路由函数
function createRouter(index) {
    router.all(mockData.routers[index].routerName, async(ctx, next) => {
        ctx.body = mockData.routers[index].data.msg
    })
}

// 生成路由
for (let i = 0; i < mockData.routers.length; i++) {
    createRouter(i);
}

// routes
app.use(router.routes(), router.allowedMethods())

var server = http.createServer(app.callback());

console.log("The server port is locationhost:3003");
server.listen(3003);